<?php
session_start();
class cCuentacobrar{
	function cuentas_por_cobrar($idcli,$emp_id,$monid,$lim)
	{
		$sql="SELECT SUM(vp.tb_ventapago_mon) AS monto,  v.tb_moneda_id,c.tb_cliente_id,c.tb_cliente_nom,c.tb_cliente_doc,emp.tb_empresa_id,emp.tb_empresa_nomcom
		FROM tb_venta v
		INNER JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_cliente c on v.tb_cliente_id = c.tb_cliente_id 
		INNER JOIN tb_ventapago vp on vp.tb_venta_id = v.tb_venta_id
		WHERE v.tb_venta_xac=1
		and v.tb_venta_est=1
		AND vp.tb_ventapago_xac=1
		AND vp.tb_ventapago_est=2
		";
			
	/* 	if($idcli>0){
			$sql.=" AND v.tb_cliente_id = '$idcli' ";	
		}else{
			$sql.=" AND vp.tb_ventapago_fecven BETWEEN '$fec1' AND '$fec2' ";	
		} */
		
		if($emp_id>0) $sql.=" AND pv.tb_empresa_id = '$emp_id' ";	
		if($idcli>0) $sql.=" AND v.tb_cliente_id = '$idcli' ";	
		if($monid>0) $sql.=" AND v.tb_moneda_id = '$monid' ";	
		
		$sql.=" GROUP BY v.tb_moneda_id,c.tb_cliente_id,c.tb_cliente_nom,c.tb_cliente_doc,emp.tb_empresa_id,emp.tb_empresa_nomcom ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return 
		$rst;
	}
	function cuentas_por_cobrar_por_cliente2($cli_id,$emp_id,$monid)
	{
		$sql="SELECT vp.tb_ventapago_id as 'venpagid',v.*,emp.*,d.*,c.*,vp.*,vpd.*,vpi.*,vpd.tb_ventapagoingresosdetalle_id as 'vdetpag'
		FROM tb_venta v
		INNER JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_documento d on v.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_cliente c on v.tb_cliente_id = c.tb_cliente_id 
		INNER JOIN  tb_ventapago vp on vp.tb_venta_id = v.tb_venta_id
        left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE tb_venta_xac=1
		and v.tb_venta_est=1
		AND vp.tb_ventapago_xac=1		
		AND vp.tb_ventapago_est=2		
		AND v.tb_cliente_id = '$cli_id'
		AND pv.tb_empresa_id = '$emp_id'
		AND v.tb_moneda_id = '$monid' ";		
		
$sql.="  order by vp.tb_ventapago_fecven asc  ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
		
	function cuentas_por_cobrar_por_cliente($cli_id,$emp_id,$docnum,$monid, $doc_id,$doc_est,$fec1,$fec2)
	{
		$sql="SELECT vp.tb_ventapago_id as 'venpagid',v.*,emp.*,d.*,c.*,vp.*,vpd.*,vpi.*,vpd.tb_ventapagoingresosdetalle_id as 'vdetpag'
		FROM tb_venta v
		INNER JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_documento d on v.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_cliente c on v.tb_cliente_id = c.tb_cliente_id 
		INNER JOIN  tb_ventapago vp on vp.tb_venta_id = v.tb_venta_id
        left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE v.tb_venta_xac=1
		and v.tb_venta_est=1
		AND vp.tb_ventapago_xac=1		
		AND v.tb_cliente_id = '$cli_id'
		AND pv.tb_empresa_id = '$emp_id'
		AND v.tb_moneda_id = '$monid' ";
		
		//AND v.tb_venta_fec BETWEEN '$fec1' AND '$fec2'
		
		if($docnum>0) {
				$sql.=" AND v.tb_venta_numdoc LIKE '%$docnum%' ";	
		}else{
			
			if($doc_id>0) $sql.=" AND d.tb_documento_abr IN('$doc_id')";
			if($doc_est>0) $sql.=" AND vp.tb_ventapago_est IN('$doc_est')";
		
		}
		
		
		$sql.="  order by vp.tb_ventapago_fecven asc  ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	/* 
	function cuentas_por_cobrar_por_cliente($cli_id,$emp_id,$docnum,$monid, $doctod,$doclet,$docfac,$docnd,$docnc, $esttod,$estpen,$estcan,$estpag,$fec1,$fec2)
	{
		$sql="SELECT vp.tb_ventapago_id as 'venpagid',v.*,emp.*,d.*,c.*,vp.*,vpd.*,vpi.*,vpd.tb_ventapagoingresosdetalle_id as 'vdetpag'
		FROM tb_venta v
		INNER JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_documento d on v.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_cliente c on v.tb_cliente_id = c.tb_cliente_id 
		INNER JOIN  tb_ventapago vp on vp.tb_venta_id = v.tb_venta_id
        left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE v.tb_venta_xac=1
		and v.tb_venta_est=1
		AND vp.tb_ventapago_xac=1		
		AND v.tb_cliente_id = '$cli_id'
		AND pv.tb_empresa_id = '$emp_id'
		AND v.tb_moneda_id = '$monid' AND v.tb_venta_fec BETWEEN '$fec1' AND '$fec2'  ";
		if($docnum>0) {
			$sql.=" AND v.tb_venta_numdoc LIKE '%$docnum%' ";	
		}else{
			
			if($doctod>0){
			
			}else{
			
			if($doclet>0) { $let = 'T';}else{ $let=''; }
			if($docfac>0) { $fac = 'F';$b = 'B';$nv = 'NV';}else{ $fac='';$b = '';$nv =''; } 
			if($docnd>0)  { $nd = 'ND';}else{ $nd=''; } 
			if($docnc>0)  { $nc = 'NC';}else{ $nc=''; }
			$sql.=" AND d.tb_documento_abr IN('$let','$fac','$b','$nv','$nd','$nc')";
			}
		
			if($esttod>0){
			}else{
			
			if($estpen>0) { $pen ='2'; }else { $pen = '';}
			if($estcan>0) { $can ='3'; }else { $can = '';}
			if($estpag>0) { $pag ='1'; }else { $pag = '';}
				$sql.=" AND vp.tb_ventapago_est IN('$pen','$can','$pag')";
			}
		}
		
		
		$sql.="  order by vp.tb_ventapago_fecven asc  ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	 */
	
	
	function cuentas_por_pagar_por_fecven_con($fecven,$emp_id,$con)
	{
		$sql="SELECT *
		from tb_venta  v
        inner join tb_puntoventa pvenv on pvenv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on pvenv.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_documento d on v.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_cliente cli on v.tb_cliente_id = cli.tb_cliente_id         
		INNER JOIN tb_ventapago vp on v.tb_venta_id = vp.tb_venta_id
		WHERE v.tb_venta_xac=1
		and v.tb_venta_est=1
		and vp.tb_ventapago_est = 2
		AND vp.tb_ventapago_xac = 1
		
		";
		//AND c.tb_empresa_id = '$emp_id'	
		
		if($emp_id>0) $sql.=" AND pvenv.tb_empresa_id = '$emp_id' ";
		if($con==3){ 
		$sql.=" AND v.tb_documento_id = '22' ";
		$sql.=" AND vp.tb_ventapago_con = '$con' ";
		}
		
		if($con==1){ 
		$sql.=" AND vp.tb_ventapago_con != 3 and vp.tb_ventapago_con != 0  ";
		}
		if($fecven!="")
		{
			if($fecven=="1")
			{
				$fecha_hoy=date('Y-m-d');
				$sql.=" AND vp.tb_ventapago_fecven < '$fecha_hoy' ";
			}
			else{
				$sql.=" AND vp.tb_ventapago_fecven LIKE '$fecven' ";
			}
		}
		$sql.=" ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	
	function cuentas_por_pagar_por_fecven_doc($fecven,$emp_id,$con)
	{
		$sql="SELECT *
		from tb_venta v
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on pv.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_documento d on v.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_cliente cli on cli.tb_cliente_id = v.tb_cliente_id         
		INNER JOIN tb_ventapago vp on v.tb_venta_id = vp.tb_venta_id
		left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE v.tb_venta_xac=1
		and v.tb_venta_est=1
		and vp.tb_ventapago_est = 2
		AND vp.tb_ventapago_xac = 1
		AND v.tb_documento_id != 22
		";
		//AND c.tb_empresa_id = '$emp_id'	
		
		if($emp_id>0) $sql.=" AND pv.tb_empresa_id = '$emp_id' ";
		
		if($fecven!="")
		{
			if($fecven=="1")
			{
				$fecha_hoy=date('Y-m-d');
				$sql.=" AND vp.tb_ventapago_fecven < '$fecha_hoy' ";
			}
			else{
				$sql.=" AND vp.tb_ventapago_fecven LIKE '$fecven' ";
			}
		}
		$sql.=" ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	function editar_campo($campo,$dato,$venpag_id)
	{
		$sql = "UPDATE tb_ventapago SET 
		tb_ventapago_$campo = '$dato' 
		WHERE tb_ventapago_id  = '$venpag_id' "; 
		$oCado = new Cado();
		//echo $sql; 
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function cuentas_por_cobrar_por_fecven($fecven,$emp_id)
	{
		$sql="SELECT SUM(vp.tb_ventapago_mon) as monto, c.*, v.*,  vp.* 
		from tb_venta v 
		INNER JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_cliente c on v.tb_cliente_id = c.tb_cliente_id 
		INNER JOIN tb_ventapago vp on v.tb_venta_id = vp.tb_venta_id 
		WHERE tb_venta_xac=1
		and v.tb_venta_est=1
		AND vp.tb_ventapago_xac=1
		AND vp.tb_formapago_id =2 
		AND vp.tb_ventapago_est = 2
		and pv.tb_empresa_id = '$emp_id'
		";			
		if($fecven!="")
		{
			if($fecven=="1")
			{
				$fecha_hoy=date('Y-m-d');
				$sql.=" AND vp.tb_ventapago_fecven < '$fecha_hoy' ";
			}
			else{
				$sql.=" AND vp.tb_ventapago_fecven LIKE '$fecven' ";
			}
		}
		$sql.=" GROUP BY tb_ventapago_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>